@echo off
set destfolder=MP717145
set productname="MessagePad 2000 System Update (717145)."

ren data. data.exe
ren ask. ask.exe
data.exe -cm license.txt
ask "I agree with the terms of the software license agreement (Y or N) and hit Enter?" y Y
if errorlevel 1 goto done
data.exe -d C:\%destfolder%
del C:\%destfolder%\License.txt

echo.
echo.
echo A directory named %destfolder% has been added to the root of your C: drive.
echo You should delete INSTALL.BAT.   Save %destfolder%.ZIP
echo for future installs of %productname%.
echo.
echo.
ask "Press Enter to continue."

del data.exe
del ask.exe
goto end

:done
ren data.exe data.
ren ask.exe ask.

:end
